
package net.mcreator.clonedronemod.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

import net.mcreator.clonedronemod.CloneDroneintheDangerZoneModElements;

@CloneDroneintheDangerZoneModElements.ModElement.Tag
public class HammerItem extends CloneDroneintheDangerZoneModElements.ModElement {
	@ObjectHolder("clonedronemod:hammer")
	public static final Item block = null;
	public HammerItem(CloneDroneintheDangerZoneModElements instance) {
		super(instance, 20);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 4000;
			}

			public float getEfficiency() {
				return 4f;
			}

			public float getAttackDamage() {
				return 10f;
			}

			public int getHarvestLevel() {
				return 1;
			}

			public int getEnchantability() {
				return 0;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, 3, -3.5f, new Item.Properties().group(ItemGroup.TOOLS)) {
		}.setRegistryName("hammer"));
	}
}
