
package net.mcreator.clonedronemod.block;

import net.minecraftforge.registries.ObjectHolder;
import net.minecraftforge.common.ToolType;

import net.minecraft.world.storage.loot.LootContext;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.BlockItem;
import net.minecraft.block.material.Material;
import net.minecraft.block.SoundType;
import net.minecraft.block.BlockState;
import net.minecraft.block.Block;

import net.mcreator.clonedronemod.item.InsaniumGemItem;
import net.mcreator.clonedronemod.CloneDroneintheDangerZoneModElements;

import java.util.List;
import java.util.Collections;

@CloneDroneintheDangerZoneModElements.ModElement.Tag
public class InsaniumCubeBlock extends CloneDroneintheDangerZoneModElements.ModElement {
	@ObjectHolder("clonedronemod:insaniumcube")
	public static final Block block = null;
	public InsaniumCubeBlock(CloneDroneintheDangerZoneModElements instance) {
		super(instance, 27);
	}

	@Override
	public void initElements() {
		elements.blocks.add(() -> new CustomBlock());
		elements.items
				.add(() -> new BlockItem(block, new Item.Properties().group(ItemGroup.BUILDING_BLOCKS)).setRegistryName(block.getRegistryName()));
	}
	public static class CustomBlock extends Block {
		public CustomBlock() {
			super(Block.Properties.create(Material.IRON).sound(SoundType.METAL).hardnessAndResistance(1.3f, 14f).lightValue(0).harvestLevel(3)
					.harvestTool(ToolType.PICKAXE));
			setRegistryName("insaniumcube");
		}

		@Override
		public List<ItemStack> getDrops(BlockState state, LootContext.Builder builder) {
			List<ItemStack> dropsOriginal = super.getDrops(state, builder);
			if (!dropsOriginal.isEmpty())
				return dropsOriginal;
			return Collections.singletonList(new ItemStack(InsaniumGemItem.block, (int) (5)));
		}
	}
}
