
package net.mcreator.clonedronemod.world.biome;

import net.minecraftforge.registries.ObjectHolder;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;

import net.minecraft.world.gen.surfacebuilders.SurfaceBuilderConfig;
import net.minecraft.world.gen.surfacebuilders.SurfaceBuilder;
import net.minecraft.world.biome.DefaultBiomeFeatures;
import net.minecraft.world.biome.Biome;
import net.minecraft.entity.EntityClassification;

import net.mcreator.clonedronemod.entity.Mark2SwordBotEntity;
import net.mcreator.clonedronemod.entity.Mark2ArcherBotEntity;
import net.mcreator.clonedronemod.entity.Mark1SwordBotEntity;
import net.mcreator.clonedronemod.entity.Mark1ArcherBotEntity;
import net.mcreator.clonedronemod.block.TitaniumBlock;
import net.mcreator.clonedronemod.CloneDroneintheDangerZoneModElements;

@CloneDroneintheDangerZoneModElements.ModElement.Tag
public class DangerBiomeBiome extends CloneDroneintheDangerZoneModElements.ModElement {
	@ObjectHolder("clonedronemod:dangerbiome")
	public static final CustomBiome biome = null;
	public DangerBiomeBiome(CloneDroneintheDangerZoneModElements instance) {
		super(instance, 38);
	}

	@Override
	public void initElements() {
		elements.biomes.add(() -> new CustomBiome());
	}

	@Override
	public void init(FMLCommonSetupEvent event) {
	}
	static class CustomBiome extends Biome {
		public CustomBiome() {
			super(new Biome.Builder().downfall(0.1f).depth(0.1f).scale(0f).temperature(0.5f).precipitation(Biome.RainType.RAIN)
					.category(Biome.Category.NONE).waterColor(4159204).waterFogColor(329011)
					.surfaceBuilder(SurfaceBuilder.DEFAULT, new SurfaceBuilderConfig(TitaniumBlock.block.getDefaultState(),
							TitaniumBlock.block.getDefaultState(), TitaniumBlock.block.getDefaultState())));
			setRegistryName("dangerbiome");
			DefaultBiomeFeatures.addCarvers(this);
			DefaultBiomeFeatures.addStructures(this);
			DefaultBiomeFeatures.addMonsterRooms(this);
			DefaultBiomeFeatures.addOres(this);
			this.addSpawn(EntityClassification.CREATURE, new Biome.SpawnListEntry(Mark1SwordBotEntity.entity, 15, 1, 5));
			this.addSpawn(EntityClassification.CREATURE, new Biome.SpawnListEntry(Mark2SwordBotEntity.entity, 15, 1, 5));
			this.addSpawn(EntityClassification.CREATURE, new Biome.SpawnListEntry(Mark1ArcherBotEntity.entity, 15, 1, 5));
			this.addSpawn(EntityClassification.CREATURE, new Biome.SpawnListEntry(Mark2ArcherBotEntity.entity, 15, 1, 5));
		}
	}
}
